﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace HtmlWpfRtf.Common {
    /// <summary>
    /// Interaction logic for FReadString.xaml
    /// </summary>
    public partial class WReadString : Window {

        private bool retcode = false;

        public bool Retcode {
            get { return retcode; }
        }

        public WReadString(Window parent, String caption, String itemcaption, String input="") {
            InitializeComponent();
            labelTitel.Content = caption;
            labelItem.Content = itemcaption;
            tInput.Text = input;
            this.Owner = parent;  // Important, because CenterOwner            
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            tInput.Focus();
        }

        private void bnOk_Click(object sender, RoutedEventArgs e) {
            String newFile = tInput.Text.Trim();
            if (Basis.CheckDateinamen(newFile)) {
                retcode = true;
                Close();
            }
            else {
                Basis.ErrorMsg("Der neue Name ist nicht gültig", "Hinweis");
            }
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e) {
            Close();
        }

        private void Window_KeyDown(object sender, KeyEventArgs e) {
            if (Keyboard.IsKeyDown(Key.Return)) {
                bnOk_Click(sender, e);
            }
            if (Keyboard.IsKeyDown(Key.Escape)) {
                bnEsc_Click(sender, e);
            }
        }

    }
}